extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Cupones"
    - var CabeceraListado = ["Cupòn", "Descripción"]
    - var CantidadListado = "{{ tCupones.length }}"
    - var TituloDatos = "Detalles del Cupon"
    - var TamanoColeccion = "tCupones.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
  tr(*ngFor="let tCuponFor of tCupones | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
    th.text-nowrap
      button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Cupon_Eliminar(tCuponFor)").btn.btn-sm.btn-danger.mr-1
        i.fas.fa-trash-alt
      button(type="button", (click)="Seleccionar_Cupon(tCuponFor, jv)").btn.btn-sm.btn-warning.ml-1
        i.fas.fa-edit.text-white
    td
      h6.text-xs {{ tCuponFor.Codcupon }}
    td
      h6.text-xs.text-nowrap {{ tCuponFor.Descripcion }}

block ContenidoDatosCabecera
  div.row
    div.col-12
      app-fw-cupon-detalle-cabecera([(Cupon)]="tCuponActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true")#Informacion-tab.nav-link.active Información
        li.nav-item
          a(data-toggle="tab",
              href="#Cliente",
              role="tab",
              aria-controls="Cliente",
              aria-selected="true")#Cliente-tab.nav-link Cliente
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-cupon-detalle-datos(#DetalleDatos="",
                                      [(Cupon)]="tCuponActual",
                                      [Estatus]="tEstatus",
                                      [Nuevo]="tNuevo",
                                      [Tipos]="tTipos",
                                      [Empresa]="tEmpresaActual")#DetalleDatos
        div(role="tabpanel", aria-labelledby="Cliente-tab").tab-pane.fade#Cliente
          app-fw-cupon-detalle-cliente([(Cupon)]="tCuponActual",
                                       [Nuevo]="tNuevo",
                                       [BloquearBuscar]="tBloquearBuscar",
                                       (BuscarCliente)="BuscarCliente($event)",
                                       (AbrirModalClientes)="AbrirModalClientes()")
